OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

EnumPropsT< ExpensesType > Struct Template Reference

Define basic enum properties for ExpensesType. More...

`#include <economy_type.h>`

Inheritance diagram for EnumPropsT< ExpensesType >:

## Additional Inherited Members
Public Types inherited from MakeEnumPropsT< ExpensesType, byte, EXPENSES_CONSTRUCTION, EXPENSES_END, INVALID_EXPENSES, 8 >
typedef ExpensesType | type
| enum type (i.e. Trackdir)
typedef byte | storage
| storage type (i.e. byte)
Static Public Attributes inherited from MakeEnumPropsT< ExpensesType, byte, EXPENSES_CONSTRUCTION, EXPENSES_END, INVALID_EXPENSES, 8 >
static const ExpensesType | begin
| lowest valid value (i.e. TRACKDIR_BEGIN)
static const ExpensesType | end
| one after the last valid value (i.e. TRACKDIR_END)
static const ExpensesType | invalid
| what value is used as invalid value (i.e. INVALID_TRACKDIR)
static const uint | num_bits
| Number of bits for storing the enum in command parameters.

## Detailed Description

### template<>
struct EnumPropsT< ExpensesType >

Define basic enum properties for ExpensesType.

Definition at line 169 of file economy_type.h.

The documentation for this struct was generated from the following file:

- src/economy_type.h